icon

We found results for “

WS-2019-0563

Good to know:

icon

Date: March 29, 2019

YARA in versions v3.2.0 through v3.9.0 is vulnerable to heap-buffer-overflow in str_table_entry, related to libyara/modules/elf.c.

Language: C

Severity Score

Severity Score

Weakness Type (CWE)

Heap-based Buffer Overflow

CWE-122

Top Fix

icon

Upgrade Version

Upgrade to version v3.10.0-rc1

Learn More

CVSS v3.1

Base Score:
Attack Vector (AV): LOCAL
Attack Complexity (AC): LOW
Privilegs Required (PR): NONE
User Interaction (UI): NONE
Scope (S): UNCHANGED
Confidentiality (C): NONE
Integrity (I): NONE
Availability (A): HIGH

Do you need more information?

Contact Us